Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mozilla.jrex.dom.traversal
Class JRexNodeIteratorImpl

    java.lang.Object
      org.mozilla.jrex.dom.traversal.JRexNodeIteratorImpl

All Implemented Interfaces:
  NodeIterator

public class JRexNodeIteratorImpl
extends Object
implements NodeIterator

A class implementing org.w3c.dom.traversal.NodeIterator interface.

Version:
  1.0
Author:
  C.N.Medappa
See Also:
  `NodeIterator`

Constructor Summary
`JRexNodeIteratorImpl()`

Method Summary
`void` | `detach()` Detaches the `NodeIterator` from the set which it iterated over, releasing any computational resources and placing the `NodeIterator` in the INVALID state.
`void` | `dispose()` Function to explicitly disconnect from native DOM Object
`boolean` | `equals(Object obj)`
`protected void` | `finalize()`
`boolean` | `getExpandEntityReferences()` The value of this flag determines whether the children of entity reference nodes are visible to the `NodeIterator`.
`NodeFilter` | `getFilter()` The `NodeFilter` used to screen nodes.
`Node` | `getRoot()` The root node of the `NodeIterator`, as specified when it was created.
`int` | `getWhatToShow()` This attribute determines which node types are presented via the `NodeIterator`.
`int` | `hashCode()`
`Node` | `nextNode()` Returns the next node in the set and advances the position of the `NodeIterator` in the set.
`Node` | `previousNode()` Returns the previous node in the set and moves the position of the `NodeIterator` backwards in the set.

Methods inherited from class java.lang.Object
`clone, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JRexNodeIteratorImpl

    public JRexNodeIteratorImpl()

Method Detail

### getRoot

    public Node getRoot()

  Description copied from interface: `NodeIterator`
  The root node of the `NodeIterator`, as specified when it was created.

  Specified by:
    `getRoot` in interface `NodeIterator`

### getWhatToShow

    public int getWhatToShow()

  Description copied from interface: `NodeIterator`
  This attribute determines which node types are presented via the `NodeIterator`. The available set of constants is defined in the `NodeFilter` interface. Nodes not accepted by `whatToShow` will be skipped, but their children may still be considered. Note that this skip takes precedence over the filter, if any.

  Specified by:
    `getWhatToShow` in interface `NodeIterator`

### getFilter

    public NodeFilter getFilter()

  Description copied from interface: `NodeIterator`
  The `NodeFilter` used to screen nodes.

  Specified by:
    `getFilter` in interface `NodeIterator`

### getExpandEntityReferences

    public boolean getExpandEntityReferences()

  Description copied from interface: `NodeIterator`
  The value of this flag determines whether the children of entity reference nodes are visible to the `NodeIterator`. If false, these children and their descendants will be rejected. Note that this rejection takes precedence over `whatToShow` and the filter. Also note that this is currently the only situation where `NodeIterators` may reject a complete subtree rather than skipping individual nodes.
  To produce a view of the document that has entity references expanded and does not expose the entity reference node itself, use the `whatToShow` flags to hide the entity reference node and set `expandEntityReferences` to true when creating the `NodeIterator`. To produce a view of the document that has entity reference nodes but no entity expansion, use the `whatToShow` flags to show the entity reference node and set `expandEntityReferences` to false.

  Specified by:
    `getExpandEntityReferences` in interface `NodeIterator`

### nextNode

    public Node nextNode()
                  throws DOMException

  Description copied from interface: `NodeIterator`
  Returns the next node in the set and advances the position of the `NodeIterator` in the set. After a `NodeIterator` is created, the first call to `nextNode()` returns the first node in the set.

  Specified by:
    `nextNode` in interface `NodeIterator`
  Returns:
    The next `Node` in the set being iterated over, or `null` if there are no more members in that set.
  Throws:
    `DOMException` - INVALID_STATE_ERR: Raised if this method is called after the `detach` method was invoked.

### previousNode

    public Node previousNode()
                      throws DOMException

  Description copied from interface: `NodeIterator`
  Returns the previous node in the set and moves the position of the `NodeIterator` backwards in the set.

  Specified by:
    `previousNode` in interface `NodeIterator`
  Returns:
    The previous `Node` in the set being iterated over, or `null` if there are no more members in that set.
  Throws:
    `DOMException` - INVALID_STATE_ERR: Raised if this method is called after the `detach` method was invoked.

### detach

    public void detach()

  Description copied from interface: `NodeIterator`
  Detaches the `NodeIterator` from the set which it iterated over, releasing any computational resources and placing the `NodeIterator` in the INVALID state. After `detach` has been invoked, calls to `nextNode` or `previousNode` will raise the exception INVALID_STATE_ERR.

  Specified by:
    `detach` in interface `NodeIterator`

### equals

    public boolean equals(Object obj)

### hashCode

    public int hashCode()

### finalize

    protected void finalize()
                     throws Throwable

  Throws:
    `Throwable`

### dispose

    public void dispose()

  Function to explicitly disconnect from native DOM Object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004 C.N.Medappa. All Rights Reserved.